Subject: Re: [SOLVED] Re: pq2_find_bridges hangs system

From: Vitaly Bordug <[email-masked]>
Date: Wed, 14 Dec 2005 17:14:51 +0300

Alex BASTOS wrote:
> Vitaly,
> 
>> Maybe, but I guess more correct is to deal with USB->PCI dependency..
>> Is it really needed(I am not USB expert)?
> 
> Neither am I. I guess for this Host Controler it is not needed at
> HW level, but I am not sure why it is still required by the SW.
> 
> 
>>> 3) I have seen that from u-boot, a reset occurs when I read Internal
>>> Memory at offset 0x10904 (PCI CFG_DATA). From BDI, when I do the same
>>> all PCI section on IM becomes zero. Is this a known behaviour? May this
>>> reflect a hardware problem?
>>>
>> Sounds weird
> 
> Here is the problem. The cause for this weird behaviour is that I
> had PCI_ARBITER_EN_  disabled. So, a HW problem at the end.
> I had disabled it trying to reduce power compsumption due to the PCI,
> as I am not going to use it. It seems it is not possible that way.
> Any idea how to get this done?
> 
Well, I guess the best you can do now - just use custom tree. I'll try to find 
good solution for such a case (PCI required by deps but not hw) next time I'll touch PCI.

>>> In conclusion, 1) solves my "must", a working board (without PCI).
>>> But I still would like to know what am I doing so wrong with this.
>>>
>> IMHO ability to disable PCI_8260 while PCI is on might be confusing, at least
>> for upstream.
> 
> You are right.
> 
> Thanks so much for your help.
> 
> Best regards,
> 
> Alex
> 
> 

-- 
Sincerely, 
Vitaly